﻿Partial Class dtsPlaner
	Public Shared ReadOnly dts As dtsPlaner

	Shared Sub New()
		dts = New dtsPlaner
	End Sub

	Public Sub ReloadDts()
		Me.Clear()
		Me.ReadXml(DataFile.FullName)
		Me.AcceptChanges()
	End Sub

	Public Sub SaveDts(Form As Form)
		Form.Validate()
		Me.WriteXml(DataFile.FullName)
		Me.AcceptChanges()
	End Sub

	Public Sub CheckDtsChanges(Form As Form)
		If dts.HasChanges Then
			If msgQuestionInfo("Soll der Löschvorgang gespeichert werden?") = DialogResult.Yes Then
				dts.SaveDts(Form)
			Else
				dts.ReloadDts()
			End If
		End If
	End Sub
End Class
