﻿Imports Urlaubsplaner.DataSet1
Imports System.ComponentModel

Public Class dlgUrlaubDetail

    Private Sub dlgUrlaubDetail_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        If Me.DialogResult <> DialogResult.OK Then Return
        If ArtTextBox.Text <> "" Then
            If Not dtpVon.Value > dtpBis.Value Then
                If ArtTextBox.Text = "U" Or ArtTextBox.Text = "u" Or ArtTextBox.Text = "K" Or ArtTextBox.Text = "k" Then
                    Dim startDatum = dtpVon.Value.Date 'Date.Parse(dtpVon.Value.ToShortDateString)
                    Dim endDatum = dtpBis.Value.Date 'Date.Parse(dtpBis.Value.ToShortDateString)
                    Dim datumDifferenz = (endDatum - startDatum).TotalDays ' - startDatum, endDatum.Tot 'endDatum.Subtract(startDatum).TotalDays
                    Dim rwMitarbeiter = bsCbcMitarbeiter_Detail.At(Of MitarbeiterRow)
                    If datumDifferenz > 14 Then
                        If msgQuestionWarning($"Der Datumsbereich beträgt {datumDifferenz.ToString} Tage, wirklich weitermachen?") = DialogResult.No Then Return
                    End If
                    Dim loopDatum = startDatum
                    Do While loopDatum < endDatum.AddDays(1)
                        Dim ft = GetFeiertag(loopDatum)
                        If ft <> Feiertag.KeinFeiertag Then
                            msgInformation($"{ft} | {loopDatum.ToShortDateString}")
                        End If
                        For Each rwUrlaub In Dts.UrlaubKrank
                            If rwUrlaub.Datum = loopDatum Then
                                If rwUrlaub.MitarbeiterID = rwMitarbeiter.ID Then
                                    msgInformation($"Es existiert schon ein Eintrag für den {loopDatum.ToShortDateString}")
                                    Return
                                End If
                            End If
                        Next
                        If cbWochenende.Checked = True Then
                            If loopDatum.DayOfWeek <> DayOfWeek.Saturday And loopDatum.DayOfWeek <> DayOfWeek.Sunday Then
                                Dts.UrlaubKrank.AddUrlaubKrankRow(loopDatum, rwMitarbeiter, CType(ArtTextBox.Text, Char), BemerkungTextBox.Text)
                            End If
                        Else
                            Dts.UrlaubKrank.AddUrlaubKrankRow(loopDatum, rwMitarbeiter, CType(ArtTextBox.Text, Char), BemerkungTextBox.Text)
                        End If
                        loopDatum = loopDatum.AddDays(1)
                    Loop
                    Dts.SaveDts(Me)
                Else
                    msgExclamation("Es dürfen nur die Buchstaben U,u,K,k verwendet werden!")
                    ArtTextBox.Select()
                    e.Cancel = True
                End If
            Else
                msgInformation("Datum VON muss kleiner BIS sein!")
                dtpVon.Select()
                e.Cancel = True
            End If
        Else
            msgInformation("Das Feld Art muss ausgefüllt sein!")
            ArtTextBox.Select()
            e.Cancel = True
        End If
    End Sub

    Private Sub dlgUrlaubDetail_Load(sender As Object, e As EventArgs) Handles Me.Load
        ArtTextBox.MaxLength = 1
    End Sub
End Class