﻿Imports Urlaubsplaner.DataSet1
Public Class frmUrlaub
    Private Sub ts_Click(sender As Object, e As EventArgs) Handles tsBearbeiten.Click, tsNeu.Click
        Select Case True
            Case sender Is tsBearbeiten
                If dgvUrlaub.Rows.Count > 1 Then
                    bsUrlaubKrank.EditCurrent(Of dlgUrlaubDetail)
                Else
                    msgInformation("Es sind noch keine Einträge zum Bearbeiten vorhanden!")
                End If
            Case sender Is tsNeu
                If Dts.HasChanges Then
                    If msgQuestionInfo("Soll der Löschvorgang gespeichert werden?") = DialogResult.Yes Then
                        Dts.SaveDts(Me)
                    Else
                        Dts.ReloadDts()
                    End If
                End If
                bsUrlaubKrank.EditNew(Of dlgUrlaubDetail)
                Dts.ReloadDts()
        End Select
    End Sub

    Private Sub UrlaubsplanDataGridView_CellMouseDoubleClick(sender As Object, e As DataGridViewCellMouseEventArgs) Handles dgvUrlaub.CellMouseDoubleClick
        bsUrlaubKrank.EditCurrent(Of dlgUrlaubDetail)
    End Sub

    Private Sub dgvUrlaub_KeyDown(sender As Object, e As KeyEventArgs) Handles dgvUrlaub.KeyDown
        Select Case e.KeyCode
            Case Keys.Insert
                If Dts.HasChanges Then
                    If msgQuestionInfo("Soll der Löschvorgang gespeichert werden?") = DialogResult.Yes Then
                        Dts.SaveDts(Me)
                    Else
                        Dts.ReloadDts()
                    End If
                End If
                bsUrlaubKrank.EditNew(Of dlgUrlaubDetail)
                Dts.ReloadDts()
        End Select
    End Sub

    Private Sub btnAusgabe_Click(sender As Object, e As EventArgs) Handles btnAusgabe.Click
        Dim strFilter = ""
        If cbMitarbeiter.CheckState = CheckState.Checked Then
            strFilter = $"MitarbeiterID = {bsCmbMitarbeiter.At(Of MitarbeiterRow).ID}"
        End If
        If cbStandort.CheckState = CheckState.Checked Then
            If strFilter = "" Then
                strFilter = $"Parent(FK_Mitarbeiter_UrlaubKrank).Standort = '{bsCmbStandort.At(Of StandortRow).Standortname}'"
            Else
                strFilter = $"{strFilter} AND Parent(FK_Mitarbeiter_UrlaubKrank).Standort = '{bsCmbStandort.At(Of StandortRow).Standortname}'"
            End If
        End If
        bsUrlaubKrank.Filter = strFilter
    End Sub

    Private Sub cb_CheckedChanged(sender As Object, e As EventArgs) Handles cbMitarbeiter.CheckedChanged, cbStandort.CheckedChanged
        Select Case True
            Case sender Is cbMitarbeiter
                cmbMitarbeiter.Enabled = cbMitarbeiter.CheckState = CheckState.Checked
            Case sender Is cbStandort
                If cbStandort.CheckState = CheckState.Checked Then
                    bsCmbMitarbeiter.DataSource = FKStandortMitarbeiterBindingSource
                    cmbStandort.Enabled = True
                Else
                    bsCmbMitarbeiter.DataSource = bsCbcMitarbeiter
                    cmbStandort.Enabled = False
                End If
        End Select
    End Sub
End Class