﻿Imports System.IO
Imports Planer.dtsPlaner
Public Class frmMain
	Private Sub tsDaten_Click(sender As Object, e As EventArgs) Handles tsMitarbeiter.Click, tsPlan.Click, tsStandort.Click, tsKürzel.Click, tsDtsSave.Click,
		tsDtsReload.Click, tsAbteilung.Click, tsBundesland.Click

		Select Case True
			Case sender Is tsBundesland : ShowMdiChild(My.Forms.frmBundesland)
			Case sender Is tsStandort : ShowMdiChild(My.Forms.frmStandort)
			Case sender Is tsAbteilung : ShowMdiChild(My.Forms.frmAbteilung)
			Case sender Is tsMitarbeiter : ShowMdiChild(My.Forms.frmMitarbeiter)
			Case sender Is tsKürzel : ShowMdiChild(My.Forms.frmKuerzel)
			Case sender Is tsPlan : ShowMdiChild(My.Forms.frmPlan)
			Case sender Is tsDtsSave : dts.SaveDts(Me)
			Case sender Is tsDtsReload : dts.ReloadDts()
		End Select
	End Sub

	Private Sub frmMain_Load(sender As Object, e As EventArgs) Handles Me.Load
		Dim fi = New FileInfo("..\..\Daten\dtsPlaner.xml")
		dts.Register(Me, True).DataFile(fi.FullName).Fill
	End Sub

	Private Sub ShowMdiChild(frm As Form)
		With frm
			If .Visible Then
				.BringToFront()
			Else
				Dts.Register(.Self, True)
				ControlStyling.StyleControls(.Self)
				.MdiParent = Me
				.Show()
			End If
		End With
	End Sub

	Private Sub MdiOpen(sender As Object, e As EventArgs) Handles Me.MdiChildActivate
		If Me.ActiveMdiChild Is Nothing Then
			tabMDI.Visible = False
		Else
			Me.ActiveMdiChild.WindowState = FormWindowState.Maximized
			Dim tp As New TabPage(Me.ActiveMdiChild.Text)
			If Me.ActiveMdiChild.Tag Is Nothing Then
				tp.Tag = ActiveMdiChild
				tp.Parent = tabMDI
				tabMDI.SelectedTab = tp
				Me.ActiveMdiChild.Tag = tp
				AddHandler Me.ActiveMdiChild.FormClosed, AddressOf MdiClose
			End If
			If Not tabMDI.Visible Then tabMDI.Visible = True
		End If
	End Sub

	Private Sub MdiClose(sender As Object, e As FormClosedEventArgs)
		TryCast(TryCast(sender, Form).Tag, TabPage).Dispose()
	End Sub

	Private Sub MdiActivate(sender As Object, e As EventArgs) Handles tabMDI.SelectedIndexChanged, Me.MdiChildActivate
		If tabMDI.SelectedTab IsNot Nothing AndAlso tabMDI.SelectedTab.Tag IsNot Nothing Then TryCast(tabMDI.SelectedTab.Tag, Form).Select()
	End Sub

	Private Sub tsÜbersicht_Click(sender As Object, e As EventArgs) Handles tsÜbersicht.Click
		'ShowMdiChild(My.Forms.frmUrlaubsplan)
	End Sub

	Private Sub tsTextboxtest_Click(sender As Object, e As EventArgs) Handles tsTextboxtest.Click
		ShowMdiChild(My.Forms.frmTextboxtest)
	End Sub
End Class
