﻿Public Module MessageBoxes
	Public Sub msgInformation(Nachricht As String)
		MessageBox.Show(Nachricht, "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
	End Sub

	Public Sub Msg(ParamArray items As Object())
		MessageBox.Show(String.Concat(items))
	End Sub

	Public Sub msgEx(ex As Exception)
		MessageBox.Show(ex.Message)
	End Sub

	Public Sub msgExclamation(Nachricht As String)
		MessageBox.Show(Nachricht, "Wichtige Info", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
	End Sub

	Public Sub msgError(Nachricht As String)
		MessageBox.Show(Nachricht, "FEHLER", MessageBoxButtons.OK, MessageBoxIcon.Error)
	End Sub

	Public Function msgQuestionWarning(Nachricht As String) As DialogResult
		Return MessageBox.Show(Nachricht, "Warnung", MessageBoxButtons.YesNo, MessageBoxIcon.Warning)
	End Function

	Public Function msgQuestionInfo(Nachricht As String) As DialogResult
		Return MessageBox.Show(Nachricht, "Frage", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
	End Function
End Module
